USB->Parallel adapter produces crappy device URI and CUPS "usb" backend cannot cope with it

Bug #910272 reported by nvsoar on 2011-12-31
186
This bug affects 53 people
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

Parallel port dot matrix printer Panasonic KX-P2124 connected via usb-parallel cable to HP6600 PC; running Ubuntu 11.10 system located on external hard drive attached by usb. Worked on Ubuntu version 8 using URI "parallel:/dev/usb/lp0". Understand that usblp has been deprecated; replace with ??? Cups reports printer not connected. CUPS version is (from UbuntuSoftwareCenter) - "cups 1.5.0-8ubuntu6".

#Researched existing bugs - lots of info - no results. No "Help" menu found by selecting upper right located "Gear"/"Printers; could not find any "Wizard."

Thank you for your assistance,
nvsoar
------------------------------------
w8@w8-FJ463AAR-ABA-a6528p:~$ uname -a
Linux w8-FJ463AAR-ABA-a6528p 3.0.0-15-generic #24-Ubuntu SMP Mon Dec 12 15:25:25 UTC 2011 i686 i686 i386 GNU/Linux

w8@w8-FJ463AAR-ABA-a6528p:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 067b:3507 Prolific Technology, Inc. PL3507 ATAPI6 Bridge
Bus 001 Device 004: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
Bus 002 Device 002: ID 050d:0002 Belkin Components
#Device immediately above is usb to parallel cable

w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep lp
lp 17455 0
parport 40930 4 parport_pc,ppdev,uss720,lp

w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep ppdev
ppdev 12849 0
parport 40930 4 parport_pc,ppdev,uss720,lp

w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep parport_pc
parport_pc 32114 0
parport 40930 4 parport_pc,ppdev,uss720,lp

w8@w8-FJ463AAR-ABA-a6528p:~$ ls -l /dev/usb/lp* /dev/bus/usb/*/*
ls: cannot access /dev/usb/lp*: No such file or directory
crw-rw-r-- 1 root root 189, 0 2011-12-30 15:04 /dev/bus/usb/001/001
crw-rw-r-- 1 root root 189, 1 2011-12-30 15:04 /dev/bus/usb/001/002
crw-rw-r-- 1 root root 189, 3 2011-12-30 15:04 /dev/bus/usb/001/004
crw-rw-r-- 1 root root 189, 128 2011-12-30 15:04 /dev/bus/usb/002/001
crw-rw-r-- 1 root lp 189, 129 2011-12-30 15:25 /dev/bus/usb/002/002

w8@w8-FJ463AAR-ABA-a6528p:~$ dmesg | grep par
[ 0.000000] Booting paravirtualized kernel on bare hardware
[ 0.000000] vt handoff: transparent VT on vt#7
[ 0.210399] hpet0: 3 comparators, 32-bit 25.000000 MHz counter
[ 28.754567] uss720: protocols (eg. bitbang) over USS720 usb to parallel cables
[ 28.893725] type=1400 audit(1325286282.534:2): apparmor="STATUS" operation="profile_load" name="/sbin/dhclient" pid=705 comm="apparmor_parser"
[ 28.893736] type=1400 audit(1325286282.534:3): apparmor="STATUS" operation="profile_replace" name="/sbin/dhclient" pid=755 comm="apparmor_parser"
[ 28.894175] type=1400 audit(1325286282.534:4): apparmor="STATUS" operation="profile_load" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=755 comm="apparmor_parser"
[ 28.894324] type=1400 audit(1325286282.534:5): apparmor="STATUS" operation="profile_replace" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=705 comm="apparmor_parser"
[ 28.894438] type=1400 audit(1325286282.534:6): apparmor="STATUS" operation="profile_load" name="/usr/lib/connman/scripts/dhclient-script" pid=755 comm="apparmor_parser"
[ 28.894592] type=1400 audit(1325286282.534:7): apparmor="STATUS" operation="profile_replace" name="/usr/lib/connman/scripts/dhclient-script" pid=705 comm="apparmor_parser"
[ 30.347397] type=1400 audit(1325286283.986:8): apparmor="STATUS" operation="profile_load" name="/usr/share/gdm/guest-session/Xsession" pid=969 comm="apparmor_parser"
[ 30.347408] type=1400 audit(1325286283.986:9): apparmor="STATUS" operation="profile_load" name="/usr/lib/lightdm/lightdm-guest-session-wrapper" pid=970 comm="apparmor_parser"
[ 30.353749] type=1400 audit(1325286283.994:10): apparmor="STATUS" operation="profile_replace" name="/sbin/dhclient" pid=973 comm="apparmor_parser"
[ 30.359290] type=1400 audit(1325286283.998:11): apparmor="STATUS" operation="profile_replace" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=973 comm="apparmor_parser"
[ 34.659441] ppdev: user-space parallel port driver
[ 34.672608] type=1400 audit(1325286288.314:24): apparmor="STATUS" operation="profile_replace" name="/usr/lib/cups/backend/cups-pdf" pid=1540 comm="apparmor_parser"
[ 34.673270] type=1400 audit(1325286288.314:25): apparmor="STATUS" operation="profile_replace" name="/usr/sbin/cupsd" pid=1540 comm="apparmor_parser"
w8@w8-FJ463AAR-ABA-a6528p:~$ ls -l /dev/lp* /dev/parport*
ls: cannot access /dev/lp*: No such file or directory
ls: cannot access /dev/parport*: No such file or directory
w8@w8-FJ463AAR-ABA-a6528p:~$ ls -l /proc/sys/dev/parport/parport*/autoprobe*
ls: cannot access /proc/sys/dev/parport/parport*/autoprobe*: No such file or directory
w8@w8-FJ463AAR-ABA-a6528p:~$ sudo cat /proc/sys/dev/parport/parport*/autoprobe*
[sudo] password for w8:
cat: /proc/sys/dev/parport/parport*/autoprobe*: No such file or directory

w8@w8-FJ463AAR-ABA-a6528p:~$ lpinfo -v
network ipp
network http
network socket
direct hp
direct scsi
network lpd
network smb
network beh
direct hpfax
w8@w8-FJ463AAR-ABA-a6528p:~$ /usr/lib/cups/backend/parallel
w8@w8-FJ463AAR-ABA-a6528p:~$ sudo /usr/lib/cups/backend/parallel
w8@w8-FJ463AAR-ABA-a6528p:~$
--------------------------------
#From CUPS@localhost:631/Printers/
▼ Queue Name ▼ Description Location Make and Model Status
Panasonic-KX-P2135 Panasonic KX-P2135 Epson LQ-850 Foomatic/lq850 (recommended) Processing - "Printer not connected; will retry in 30 seconds."
------------------------------end

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: cups 1.5.0-8ubuntu6
ProcVersionSignature: Ubuntu 3.0.0-15.24-generic 3.0.13
Uname: Linux 3.0.0-15-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Fri Dec 30 16:33:40 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
Lpstat:
 device for Panasonic-KX-P2135: parallel:/dev/lp0
 device for Stylus-COLOR-880: usb://EPSON/Stylus%20COLOR%20880?serial=EPIDH0012072218460
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 067b:3507 Prolific Technology, Inc. PL3507 ATAPI6 Bridge
 Bus 001 Device 004: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
 Bus 002 Device 002: ID 050d:0002 Belkin Components
MachineType: HP-Pavilion FK792AAR-ABA a6600f
Papersize: letter
PpdFiles:
 Panasonic-KX-P2135: Epson LQ-850 Foomatic/lq850 (recommended)
 Stylus-COLOR-880: Epson Stylus Color 880 - CUPS+Gutenprint v5.2.7 Simplified
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.0.0-15-generic root=UUID=18eae402-8bbf-4406-b146-8c34f8c73607 ro quiet splash vt.handoff=7
SourcePackage: cups
UpgradeStatus: Upgraded to oneiric on 2011-10-15 (76 days ago)
dmi.bios.date: 10/24/2008
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 5.20
dmi.board.name: Napa
dmi.board.vendor: FOXCONN
dmi.board.version: HP P/N
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr5.20:bd10/24/2008:svnHP-Pavilion:pnFK792AAR-ABAa6600f:pvr:rvnFOXCONN:rnNapa:rvrHPP/N:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: FK792AAR-ABA a6600f
dmi.sys.vendor: HP-Pavilion

nvsoar (nvsoar) wrote :
Till Kamppeter (till-kamppeter) wrote :

Note that behind a USB->Parallel adapter your computer sees your printer as a USB printer. So checking parallel port support on your computer is not required.

Can you follow all the instructions in the section "USB printer" on https://wiki.ubuntu.com/DebuggingPrintingProblems with the printer connected and turned on? Post the output here. Thanks.

After having done so run the following commands, also with the printer connected and turned on:

sudo modprobe usblp
sudo usb_printerid /dev/usb/lp0
sudo usb_printerid /dev/usb/lp1
sudo rmmod usblp

and post the output here.

Changed in cups (Ubuntu):
status: New → Incomplete
Download full text (14.3 KiB)

On 1/9/2012 9:25, Till Kamppeter wrote:
> Note that behind a USB->Parallel adapter your computer sees your printer
> as a USB printer. So checking parallel port support on your computer is
> not required.
>
> Can you follow all the instructions in the section "USB printer" on
> https://wiki.ubuntu.com/DebuggingPrintingProblems with the printer
> connected and turned on? Post the output here. Thanks.
w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep usb
usb_storage 44173 4

w8@w8-FJ463AAR-ABA-a6528p:~$ tail -f /var/log/syslog
Jan 9 15:49:48 w8-FJ463AAR-ABA-a6528p kernel: [ 756.521013] uss720:
async_complete: urb error -104
Jan 9 15:49:48 w8-FJ463AAR-ABA-a6528p kernel: [ 756.521021] uss720:
async_complete: urb error -104
Jan 9 15:49:48 w8-FJ463AAR-ABA-a6528p kernel: [ 756.521026] uss720:
async_complete: urb error -104
Jan 9 15:49:58 w8-FJ463AAR-ABA-a6528p kernel: [ 766.522014] uss720:
async_complete: urb error -32
Jan 9 15:49:59 w8-FJ463AAR-ABA-a6528p kernel: [ 767.520036]
get_1284_register timeout
Jan 9 15:49:59 w8-FJ463AAR-ABA-a6528p kernel: [ 767.521011] uss720:
async_complete: urb error -104
Jan 9 15:49:59 w8-FJ463AAR-ABA-a6528p kernel: [ 767.521019] uss720:
async_complete: urb error -104
Jan 9 15:49:59 w8-FJ463AAR-ABA-a6528p kernel: [ 767.521024] uss720:
async_complete: urb error -104
Jan 9 15:50:00 w8-FJ463AAR-ABA-a6528p kernel: [ 768.988736] usb 2-3:
USB disconnect, device number 2
Jan 9 15:50:00 w8-FJ463AAR-ABA-a6528p udev-configure-printer: remove
/devices/pci0000:00/0000:00:04.0/usb2/2-3
Jan 9 15:50:51 w8-FJ463AAR-ABA-a6528p kernel: [ 820.260029] usb 2-3:
new full speed USB device number 3 using ohci_hcd
Jan 9 15:50:52 w8-FJ463AAR-ABA-a6528p mtp-probe: checking bus 2, device
3: "/sys/devices/pci0000:00/0000:00:04.0/usb2/2-3"
Jan 9 15:50:53 w8-FJ463AAR-ABA-a6528p kernel: [ 821.480033]
get_1284_register timeout
Jan 9 15:50:53 w8-FJ463AAR-ABA-a6528p kernel: [ 821.481030] uss720:
async_complete: urb error -104
Jan 9 15:50:53 w8-FJ463AAR-ABA-a6528p kernel: [ 821.481037] uss720:
async_complete: urb error -104
Jan 9 15:50:53 w8-FJ463AAR-ABA-a6528p kernel: [ 821.481042] uss720:
async_complete: urb error -104
Jan 9 15:50:53 w8-FJ463AAR-ABA-a6528p kernel: [ 821.481047] uss720:
async_complete: urb error -104
Jan 9 15:50:53 w8-FJ463AAR-ABA-a6528p kernel: [ 821.483026] uss720:
async_complete: urb error -32
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.480043]
get_1284_register timeout
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481030] uss720:
async_complete: urb error -104
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481036] uss720:
async_complete: urb error -104
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481041] uss720:
async_complete: urb error -104
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481046] uss720:
async_complete: urb error -104
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481050] uss720:
async_complete: urb error -104
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481055] uss720:
async_complete: urb error -104
Jan 9 15:50:54 w8-FJ463AAR-ABA-a6528p kernel: [ 822.481059] uss720:
async_complete: urb error -10...

Can you try the package

cups - 1.5.0-8ubuntu7~ppa1

from my PPA

https://launchpad.net/~till-kamppeter/+archive/ppa

Its USB backend is based on the new libusb 1.0.x. Perhaps this helps on your problem.

The backend can sttill have bugs, so tell us exactly what the behavior is after having installed the new CUPS package.

On 01/13/2012 03:29 PM, Till Kamppeter wrote:
> Can you try the package
>
> cups - 1.5.0-8ubuntu7~ppa1
>
> from my PPA
>
> https://launchpad.net/~till-kamppeter/+archive/ppa
>
> Its USB backend is based on the new libusb 1.0.x. Perhaps this helps on
> your problem.
>
> The backend can sttill have bugs, so tell us exactly what the behavior
> is after having installed the new CUPS package.
>
Sure; will advise. The printer is unrecognized during the install.
What is the correct URI to replace what used to be "parallel:/dev/usb/lp0"?

nvsoar, to use the new backend, remove your print queue and after that turn off and turn on your printer and when connecting it to the computer, connect the cable to the partallel port of the printer at first and afterwards connec the USB plug to the computer. Then a new print queue should get set up automatically. If not, run the following commands in a terminal window, with the printer still connected and turned on:

lsusb
ls -l /dev/bus/usb/*/*
ls -l /dev/usb/lp*
sudo /usr/lib/cups/backend/usb
ldd /usr/lib/cups/backend/usb | grep usb
lpinfo -v

Post the output of the commands here.

On 1/14/2012 3:38, Till Kamppeter wrote:
> nvsoar, to use the new backend, remove your print queue and after that
> turn off and turn on your printer and when connecting it to the
> computer, connect the cable to the partallel port of the printer at
> first and afterwards connec the USB plug to the computer. Then a new
> print queue should get set up automatically. If not, run the following
> commands in a terminal window, with the printer still connected and
> turned on:
>
> lsusb
> ls -l /dev/bus/usb/*/*
> ls -l /dev/usb/lp*
> sudo /usr/lib/cups/backend/usb
> ldd /usr/lib/cups/backend/usb | grep usb
> lpinfo -v
>
> Post the output of the commands here.
w8@w8-FJ463AAR-ABA-a6528p:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 067b:3507 Prolific Technology, Inc. PL3507 ATAPI6
Bridge
Bus 001 Device 004: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
Bus 002 Device 002: ID 050d:0002 Belkin Components (- this is the
usb-parallel cable)

w8@w8-FJ463AAR-ABA-a6528p:~$ ls -l /dev/bus/usb/*/*
crw-rw-r-- 1 root root 189, 0 2012-01-14 13:19 /dev/bus/usb/001/001
crw-rw-r-- 1 root root 189, 2 2012-01-14 13:19 /dev/bus/usb/001/003
crw-rw-r-- 1 root root 189, 3 2012-01-14 13:19 /dev/bus/usb/001/004
crw-rw-r-- 1 root root 189, 128 2012-01-14 13:19 /dev/bus/usb/002/001
crw-rw-r-- 1 root lp 189, 129 2012-01-14 13:19 /dev/bus/usb/002/002

w8@w8-FJ463AAR-ABA-a6528p:~$ ls -l /dev/usb/lp*
ls: cannot access /dev/usb/lp*: No such file or directory

w8@w8-FJ463AAR-ABA-a6528p:~$ sudo /usr/lib/cups/backend/usb
[sudo] password for w8:
DEBUG: list_devices
DEBUG: libusb_get_device_list=5

w8@w8-FJ463AAR-ABA-a6528p:~$ ldd /usr/lib/cups/backend/usb | grep usb
     libusb-1.0.so.0 => /lib/i386-linux-gnu/libusb-1.0.so.0 (0x00d3c000)

w8@w8-FJ463AAR-ABA-a6528p:~$ lpinfo -v
network socket
network http
network ipp
direct parallel:/dev/lp0
network lpd
direct scsi
network smb
network beh
direct hp
direct hpfax
direct parallel:/dev/lp1

w8@w8-FJ463AAR-ABA-a6528p:~$

I need some more information to find out how to fix this problem. Run the following commands in a terminal window, also with the printer connected and turned on:

sudo modprobe usblp
lsmod | grep usb
sudo usb_printerid /dev/usb/lp0
sudo usb_printerid /dev/usb/lp1

Post all the output here. Run also these commands

sudo usb_printerid /dev/usb/lp0 > id0.txt
sudo usb_printerid /dev/usb/lp1 > id1.txt

and attach the two files to this bug report. Do not compress or package together these two files.

After that run the command

sudo rmmod usblp

  • id0.txt Edit (4.0 KiB, text/plain; name="id0.txt")
  • id0_01.txt Edit (160 bytes, text/plain; name="id0_01.txt")
  • id0_02.txt Edit (108 bytes, text/plain; charset=ISO-8859-7; name="id0_02.txt")
  • id0x.txt Edit (56 bytes, text/plain; charset=ISO-8859-7; name="id0x.txt")

On 1/14/2012 16:37, Till Kamppeter wrote:
> I need some more information to find out how to fix this problem. Run
> the following commands in a terminal window, also with the printer
> connected and turned on:
>
> sudo modprobe usblp
> lsmod | grep usb
> sudo usb_printerid /dev/usb/lp0
> sudo usb_printerid /dev/usb/lp1
>
> Post all the output here. Run also these commands
w8@w8-FJ463AAR-ABA-a6528p:~$ sudo modprobe usblp

w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep usb
usblp 17833 0
usb_storage 44173 4

w8@w8-FJ463AAR-ABA-a6528p:~$ sudo usb_printerid /dev/usb/lp0
GET_DEVICE_ID string:
tDD�a�a�a@P�td<$<$<$�s�sQ�tdR�td�a�a�a

�X���x��|ͺ����?�X���GNU��=���y��%��M�����Kx����X���
���
                                           �

Kx���H6l�0���|�@���0���������Mx�XHx��%���4#����x���Є��y������4#�����t��Mx�<�
�:��y��%�
m�x���8Hx�<��%�Cnp��n�p�<�0�XHx��������v������Mx�f��<��$�f��<�&���n����"��v�U,�4#�
��v�'��=���y���M��苣
Kx����<���Kx�.N=����������'
XKx�XHx�����l��������Ȇ��y������l�����t�XKx��j���k���YC�k���j�����WVx0�,���������A����{�$Ӻ�ϺU|�)�

w8@w8-FJ463AAR-ABA-a6528p:~$ sudo usb_printerid /dev/usb/lp1
Error: No such file or directory: can't open '/dev/usb/lp1'

w8@w8-FJ463AAR-ABA-a6528p:~$ sudo usb_printerid /dev/usb/lp0 > id0.txt
w8@w8-FJ463AAR-ABA-a6528p:~$ sudo usb_printerid /dev/usb/lp1 > id1.txt
Error: No such file or directory: can't open '/dev/usb/lp1'

w8@w8-FJ463AAR-ABA-a6528p:~$ sudo rmmod usblp
w8@w8-FJ463AAR-ABA-a6528p:~$
> sudo usb_printerid /dev/usb/lp0> id0.txt
> sudo usb_printerid /dev/usb/lp1> id1.txt
>
> and attach the two files to this bug report. Do not compress or package
> together these two files.
>
> After that run the command
>
> sudo rmmod usblp
Multiple queries produced different id0.txt files. All are attached.
No lp1 file existed at /dev/usb.

Re 14Jan12 message on use of the new backen - I interpreted "remove your
print queue" to mean remove pending documents. Not so sure that was
what was meant. Could it be that request was to remove all printer
configuration data from the operating system?

For info - I dusted off an old machine with a parallel port, installed
both Linux Mint and Ubuntu 11.0. No difficulties getting the printer
installed and working.

Many thanks for your assistance.

Thank you for your cooperation. I have found a solution now. I will post it soon.

summary: - CUPS reports printer not connected
+ USB->Parallel adapter produces crappy device URI and CUPS "usb" backend
+ cannot cope with it
Changed in cups (Ubuntu):
status: Incomplete → Triaged

I have uploaded a new version of the CUPS package (1.5.0-8ubuntu7~ppa2) to my PPA now. It will take some time to appear there. As soon as it arrives and got built by our build servers, update your system, and try again.

After the update, remove any broken queues for your printer, and then with the printer turned on and connected to the parallel end of the adapter unplug the USB end from your computer and re-plug it. You will get a pop-up that your computer tries to create a print queue, probably also telling that the queue will be for an unknown printer. Perhaps even system-config-printer will pop up automatically for manual selection of your printer's make and model. Select it and do not simply overtake the "Generic text-only printer" default. If system-config-printer does not open by itself, start it manually (Gear at the upper right of the desktop and "Printers" in the menu), click the button to add a new printer, and from the autodetected printers choose the unknown printer. After that choose make and model manually and you should be able to print.

Please tell here whether all works correctly. Thank you in advance.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.5.0-14

---------------
cups (1.5.0-14) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-libusb-1.0.patch: Migrated the "usb" CUPS
    backend to libusb 1.0.x, as libusb 0.1.x is deprecated and not maintained
    upstream any more. Also make printers working independent of what gets
    reported as their device ID, including random characters or nothing. This
    should especially make all USB->Parallel adapters work (LP: #910272).
  * debian/control: Build-depend on libusb-1.0-0-dev instead of on libusb-dev.

  [ Martin Pitt ]
  * debian/local/filters/pdf-filters/pdftoopvp/OPVPOutputDev.{h,cxx}: Drop
    definition of drawLink(). It is not being used anywhere and uses the
    "Link" class which is gone in poppler 0.18.
  * Add debian/patches/ubuntu/poppler-0.18.patch: Port SplashFontEngine()
    constructor call to poppler 0.18 API. Keep it as Ubuntu patch until Debian
    gets poppler 0.18, too. (Closes: #645507)
 -- Martin Pitt <email address hidden> Mon, 16 Jan 2012 10:51:53 +0100

Changed in cups (Ubuntu):
status: Triaged → Fix Released

nvsoar, note that the "Fix Released" is only for Ubuntu Precise (12.04). Please update your Oneiric system now to get my updated PPA package and test it. Depending on your result I will propose my fix for an official update for Oneiric.

On 1/16/2012 2:59, Till Kamppeter wrote:
> nvsoar, note that the "Fix Released" is only for Ubuntu Precise (12.04).
> Please update your Oneiric system now to get my updated PPA package and
> test it. Depending on your result I will propose my fix for an official
> update for Oneiric.
>
Well done Till. It took seven whole minutes to download and install;
shorter than it took to print the test page. Manually opened printers
window, selected "/Model" (default), next window selected the driver
module, next Printer Properties settings looked correct and policies
showed "enabled"; Print Test Page selected, Ubuntu test page printed
successfully. Five gold stars! Images attached.

All the best from the Carson Valley,
nvsoar

Thank you very much for testing. I have done an additional small fix as the fix in my PPA still has a potential crash bug.

The final fix I have applied to Oneiric's CUPS package now and uploaded the resulting package into the oneiric-proposed package repository to make it available as a Stable Release Update (SRU) for Oneiric. As soon as the package gets approved it will get available for testing. We will announce this and give instructions on how to install the package. Note that your testing is required to make the package an official update, so stay tuned. Note that you have to remove and re-create your print queue for testing as the device URI will change somewhat.

A debdiff of the changes is attached.

Changed in cups (Ubuntu Oneiric):
status: New → Fix Committed
importance: Undecided → High
Changed in cups (Ubuntu):
importance: Undecided → High
Changed in cups (Ubuntu Oneiric):
milestone: none → oneiric-updates

Hello nvsoar, or anyone else affected,

Accepted cups into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Everyone coming from the duplicate bugs and still having the problem with the USB->Parallel adapter. Please test the proposed fix of comments #15 and #16 and tell your results here. Thanks.

On 1/17/2012 3:44, Martin Pitt wrote:
> Hello nvsoar, or anyone else affected,
>
> Accepted cups into oneiric-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> ** Tags added: verification-needed
>
Using CUPS version 1.5.0-8Ubuntu7 (reported as installed by Synaptic) -
Connection was not successful.

Testing performed on two Ubuntu 11.10 installations without a printer
configuration installed. Opened the printers window manually, after
turning on the printer, and inserting the usb plug of the Belkin cable.
The query "lsusb" reported the presence of the cable. Printer
connection choices were "URI" or several types of Network connections;
in one instance there was also an "LPT#1" choice. The "/Model" choice
that worked (and still does), offered with the "ppa" CUPS version, did
not exist. Entered the URI that resulted using the ppa CUPS version;
result - the printer state on attempting to print a test page was
"Processing - Waiting for printer to become available.";or something
close to that.
nvsoar 17Jan2012 ~0100GMT

Note that the URI has changed with my new patch. It must be something like

usb://Unknown/Printer

or

usb://Unknown/Printer?serial=...

Printer setup tools should show the model simply as "Unknown". At least system-config-printer does so. http://localhost:631/ (CUPS web interface) should do so, too.

Please have the printer connected and turned on, preferably connect the parallel port at the printer before connecting the USB port at the computer. Have the printer turned on when connecting the USB. Then run the following commands in a terminal window:

sudo rmmod usblp
lsusb
ls -l /dev/bus/usb/*/*
ls -l /dev/usb/lp*
sudo /usr/lib/cups/backend/usb
ldd /usr/lib/cups/backend/usb | grep usb
lpinfo -v
sudo modprobe usblp
lsmod | grep usb
sudo usb_printerid /dev/usb/lp0
sudo rmmod usblp

Post the output here.

nvsoar (nvsoar) wrote :

On 1/17/2012 23:27, Till Kamppeter wrote:
> Note that the URI has changed with my new patch. It must be something
> like
>
> usb://Unknown/Printer
>
> or
>
> usb://Unknown/Printer?serial=...
>
> Printer setup tools should show the model simply as "Unknown". At least
> system-config-printer does so. http://localhost:631/ (CUPS web
> interface) should do so, too.
>
> Please have the printer connected and turned on, preferably connect the
> parallel port at the printer before connecting the USB port at the
> computer. Have the printer turned on when connecting the USB. Then run
> the following commands in a terminal window:
>
> sudo rmmod usblp
> lsusb
> ls -l /dev/bus/usb/*/*
> ls -l /dev/usb/lp*
> sudo /usr/lib/cups/backend/usb
> ldd /usr/lib/cups/backend/usb | grep usb
> lpinfo -v
> sudo modprobe usblp
> lsmod | grep usb
> sudo usb_printerid /dev/usb/lp0
> sudo rmmod usblp
>
> Post the output here.
For info - the printer is powered, connected, and ready to go prior to
system boot.
Attached is the response to the above set of queries from the Ubuntu
11.10 system with the ~ppa CUPS version.
The responses below are from the proposed Ubuntu7 CUPS version; also
Ubuntu 11.10 on a different external drive; same HP 6600f computer.
-------------------
w8@w8u-iomega:~$ sudo rmmod usblp
ERROR: Module usblp does not exist in /proc/modules

w8@w8u-iomega:~$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 04b4:6830 Cypress Semiconductor Corp. CY7C68300A
EZ-USB AT2 USB 2.0 to ATA/ATAPI
Bus 001 Device 003: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
Bus 002 Device 002: ID 050d:0002 Belkin Components

w8@w8u-iomega:~$ ls -l /dev/bus/usb/*/*
crw-rw-r-- 1 root root 189, 0 2012-01-18 10:09 /dev/bus/usb/001/001
crw-rw-r-- 1 root root 189, 1 2012-01-18 10:09 /dev/bus/usb/001/002
crw-rw-r-- 1 root root 189, 2 2012-01-18 10:09 /dev/bus/usb/001/003
crw-rw-r-- 1 root root 189, 128 2012-01-18 10:09 /dev/bus/usb/002/001
crw-rw-r-- 1 root lp 189, 129 2012-01-18 10:09 /dev/bus/usb/002/002

w8@w8u-iomega:~$ ls -l /dev/usb/lp*
ls: cannot access /dev/usb/lp*: No such file or directory

w8@w8u-iomega:~$ sudo /usr/lib/cups/backend/usb
DEBUG: list_devices
DEBUG: usb_find_busses=2
DEBUG: usb_find_devices=5

w8@w8u-iomega:~$ ldd /usr/lib/cups/backend/usb | grep usb
     libusb-0.1.so.4 => /lib/libusb-0.1.so.4 (0x006d6000)

w8@w8u-iomega:~$ lpinfo -v
network http
network beh
network socket
direct scsi
network ipp
network lpd
network smb

w8@w8u-iomega:~$ sudo modprobe usblp

w8@w8u-iomega:~$ lsmod | grep usb
usblp 17833 0
usb_storage 44173 8 ums_cypress

w8@w8u-iomega:~$ sudo usb_printerid /dev/usb/lp0
Error: No such file or directory: can't open '/dev/usb/lp0'

w8@w8u-iomega:~$ sudo rmmod usblp
---------------

This looks like a strange special case, as now even the usblp kernel module does not recognize the printer any more. So we need a much more systematic investigation now. Perhaps we have a very bad interference of instabilities of the adapter, the kernel and libusb. Now I need all combinations of systems and CUPS versions. You have two systems (internal and external driver) and two CUPS versions (PPA and proposed). This gives four combinations. Please test all four combinations, running this set of commands, naturally with the printer powered on and connected:

sudo rmmod usblp
lsusb
ls -l /dev/bus/usb/*/*
ls -l /dev/usb/lp*
sudo /usr/lib/cups/backend/usb
ldd /usr/lib/cups/backend/usb | grep usb
lpinfo -v
sudo modprobe usblp
lsmod | grep usb
ls -l /dev/usb/lp*
for d in `ls -1 /dev/usb/lp*`; do sudo usb_printerid $d; done
sudo rmmod usblp

Post all the output (or attach as uncompressed text files).

To do downgrades download all *.deb files of each package from

https://launchpad.net/ubuntu/+source/cups

and

https://launchpad.net/~till-kamppeter/+archive/ppa/+packages

into separate directories (one per version) and do

sudo dpkg -i *.deb

in the appropriate directory to install the desired version.

nvsoar (nvsoar) wrote :

On 1/19/2012 3:56, Till Kamppeter wrote:
> This looks like a strange special case, as now even the usblp kernel
> module does not recognize the printer any more. So we need a much more
> systematic investigation now. Perhaps we have a very bad interference of
> instabilities of the adapter, the kernel and libusb. Now I need all
> combinations of systems and CUPS versions. You have two systems
> (internal and external driver) and two CUPS versions (PPA and proposed).
> This gives four combinations. Please test all four combinations, running
> this set of commands, naturally with the printer powered on and
> connected:
>
> sudo rmmod usblp
> lsusb
> ls -l /dev/bus/usb/*/*
> ls -l /dev/usb/lp*
> sudo /usr/lib/cups/backend/usb
> ldd /usr/lib/cups/backend/usb | grep usb
> lpinfo -v
> sudo modprobe usblp
> lsmod | grep usb
> ls -l /dev/usb/lp*
> for d in `ls -1 /dev/usb/lp*`; do sudo usb_printerid $d; done
> sudo rmmod usblp
>
> Post all the output (or attach as uncompressed text files).
>
> To do downgrades download all *.deb files of each package from
>
> https://launchpad.net/ubuntu/+source/cups
>
> and
>
> https://launchpad.net/~till-kamppeter/+archive/ppa/+packages
>
> into separate directories (one per version) and do
>
> sudo dpkg -i *.deb
>
> in the appropriate directory to install the desired version.
>
Clarification - There are three Ubuntu 11.10 systems involved in the
testing.

System A - (w8-FJ463AAR-ABA-a6528p); installed on an external hard
drive; running on an HP6600 machine; first to be involved, and the only
system to have the cups ppa version installed prior to the proposed version.
System B - (w8u-iomega); installed on a second external hard drive; also
running on the same HP6600 machine as System A.
System C - (w8-Aspire-5000; a laptop); installed on the internal hard
drive along with XP and Linux Mint.

Testing 19Jan2012
1. System B (cups proposed installed); requested info collected in file
named "SysB_cups1.5.0-8ub7_prop.txt".
2. Attempted to revert System B to cups ppa version without success;
documented in file 91072_SysB_Revert.txt.
3. System C (cups proposed installed); requested info collected in file
named "SysC_cups1.5.0-8ub7_prop.txt".
4. Attempted to revert System C without to cups ppa version success;
documented in file 91072_SysC_Revert.txt.
5. System A (cups ppa version) printing tested; printed successfully.
Requested info collected in file named "SysA_cups1.5.0-8ub7_ppa.txt".
Installed cups proposed version through Update Manager. Attempted to
print test file without success. Requested info collected in file named
"SysA_cups1.5.0-8ub7_prop.txt".
6. Some screen shots collect along the way are attached.

Comment - If I can determine how to get the ppa version installed on
Systems B and C I will collect and submit the requested data. These
installations are not currently involved in critical operations so can
tolerate some abuse by a mostly novice.

The trick is the following: You must have ALL binary packages in ONE separate directory, neither an incomplete set of binary packages, nor packages of different versions in one directory. Go into the directory with the desired version and install all packages with ONE command line:

sudo dpkg -i --force-depends *.deb

Then the package should get installed and after the installation there will be no dependency mismatches any more.

nvsoar (nvsoar) wrote :

On 1/20/2012 7:40, Till Kamppeter wrote:
> The trick is the following: You must have ALL binary packages in ONE
> separate directory, neither an incomplete set of binary packages, nor
> packages of different versions in one directory. Go into the directory
> with the desired version and install all packages with ONE command line:
>
> sudo dpkg -i --force-depends *.deb
>
> Then the package should get installed and after the installation there
> will be no dependency mismatches any more.
>
Please be specific about what packages I should download from where. I
am now looking at
https://launchpad.net/~till-kamppeter/+archive/ppa/+packages
In the section labeled "Package Files" I see about 40 files, some of
which are .deb files.
I'm guessing that all of the i386.deb plus the all.deb files is the
answer. Will go with that in the absence of confirmation. Is there a
way to download these files as a group?
(FWIW - I thought that the idea of a package was to contain all that
would be needed to make the install.)
Thank you.

Yes, you are right, the files relevant for you are all i386.deb plus all all.deb files. The other files are for other architectures or the source package and can therefore get ignored. So download all i386.deb plus all all.deb files into one new directory and install them all with the one given command line.

nvsoar (nvsoar) wrote :

On 1/20/2012 13:29, Till Kamppeter wrote:
> Yes, you are right, the files relevant for you are all i386.deb plus all
> all.deb files. The other files are for other architectures or the source
> package and can therefore get ignored. So download all i386.deb plus all
> all.deb files into one new directory and install them all with the one
> given command line.
>
20Jan12 Testing
1. SysB - Installed cups ppa version
2. SysA - Reinstalled cups ppa version
3. SysC - Installed cups ppa version; Installed printer; printed
successfully.
4. SysA - Tested printed; printed successfully
5. SysB - Installed printer; printed successfully.

Data files attached.
Re query pair below
w8@w8-Aspire-5000:~$ ls -l /dev/usb/lp*
ls: cannot access /dev/usb/lp*: No such file or directory
w8@w8-Aspire-5000:~$
w8@w8-Aspire-5000:~$ for d in `ls -1 /dev/usb/lp*`; do sudo
usb_printerid $d; done
ls: cannot access /dev/usb/lp*: No such file or directory
w8@w8-Aspire-5000:~$

It doesn't seem to matter whether these two queries are successful or
not. The printer worked in either case. SysA and SysB showed
successful query responses as well as the above outcome. Some of these
are shown in the SysA data.

(FWIW - Windows XP reports the Belkin usb-parallel cable as "USB
Printing Support" with a device instance id of
USB\VID_050D&PID_0002\5&6CCA500&0&2)

Can you also please test the version from -proposed on all your three machines? Thanks.

Files are on

https://launchpad.net/ubuntu/+source/cups/1.5.0-8ubuntu7/+build/3098798

Section "Built files".

The ID reported uunder Windows really looks like Windows' workaround ID for a device not reporting a proper device ID.

nvsoar (nvsoar) wrote :

On 1/21/2012 2:20, Till Kamppeter wrote:
> Can you also please test the version from -proposed on all your three
> machines? Thanks.
>
> Files are on
>
> https://launchpad.net/ubuntu/+source/cups/1.5.0-8ubuntu7/+build/3098798
>
> Section "Built files".
>
Are the files indicated in the link above the same as the proposed
update through the Update Manager? If not then a retest is in order.

21Jan2012 report.
SysA - Synaptic showed Ubuntu7 version installed. Id string appeared
in the data collected and print test was successful after deleting and
reinstalling the printer. "Unknown" showed up in the choices.
Shutdown. Revisited SysA after testing other systems - No id string in
the data, no printing. (/dev/usb did not exist.)

SysB - Synaptic showed Ubuntu7 version installed. Id string appeard in
the data. Deleted the printer. Attempted to reinstall - no "Unknown"
in the list. "Unknown" choice appear after a few minutes. Installed
printer; printed successfully. Shutdown. Revisited SysB after testing
SysC. Same result as SysA revisit.

SysC - Synaptic showed Ubuntu7 version installed. No id string in the
data. Deleted the printer. Reinstalled using URI =
"usb://Unknown/Printer". Printing not successful. Cups reported
"Processing -"Waiting for printer to become available.""

nvsoar (nvsoar) wrote :

On 1/21/2012 2:21, Till Kamppeter wrote:
> The ID reported uunder Windows really looks like Windows' workaround ID
> for a device not reporting a proper device ID.
>
FWIW - In order to print successfully, Windows insists that the
usb-parallel cable be plugged into the same connection as when the
printer was installed.

nvsoar (nvsoar) wrote :

On 1/21/2012 16:44, nvsoar wrote:
> On 1/21/2012 2:20, Till Kamppeter wrote:
>> Can you also please test the version from -proposed on all your three
>> machines? Thanks.
>>
>> Files are on
>>
>> https://launchpad.net/ubuntu/+source/cups/1.5.0-8ubuntu7/+build/3098798
>>
>> Section "Built files".
>>
> Are the files indicated in the link above the same as the proposed
> update through the Update Manager? If not then a retest is in order.
>
> 21Jan2012 report.
> SysA - Synaptic showed Ubuntu7 version installed. Id string appeared
> in the data collected and print test was successful after deleting and
> reinstalling the printer. "Unknown" showed up in the choices.
> Shutdown. Revisited SysA after testing other systems - No id string in
> the data, no printing. (/dev/usb did not exist.)
>
> SysB - Synaptic showed Ubuntu7 version installed. Id string appeard in
> the data. Deleted the printer. Attempted to reinstall - no "Unknown"
> in the list. "Unknown" choice appear after a few minutes. Installed
> printer; printed successfully. Shutdown. Revisited SysB after testing
> SysC. Same result as SysA revisit.
>
> SysC - Synaptic showed Ubuntu7 version installed. No id string in the
> data. Deleted the printer. Reinstalled using URI =
> "usb://Unknown/Printer". Printing not successful. Cups reported
> "Processing -"Waiting for printer to become available.""
>
>
> ** Attachment added: "SysA_21Jan12Data_prop.txt"
> https://bugs.launchpad.net/bugs/910272/+attachment/2686641/+files/SysA_21Jan12Data_prop.txt
>
> ** Attachment added: "SysB_21Jan12Data_prop.txt"
> https://bugs.launchpad.net/bugs/910272/+attachment/2686642/+files/SysB_21Jan12Data_prop.txt
>
> ** Attachment added: "SysC_21Jan12Data_prop.txt"
> https://bugs.launchpad.net/bugs/910272/+attachment/2686643/+files/SysC_21Jan12Data_prop.txt
>
> ** Attachment added: "SysB_21Jan12_121200PrntrInstall.png"
> https://bugs.launchpad.net/bugs/910272/+attachment/2686644/+files/SysB_21Jan12_121200PrntrInstall.png
>
> ** Attachment added: "SysB_21Jan12_122021PrntrInstall.png"
> https://bugs.launchpad.net/bugs/910272/+attachment/2686645/+files/SysB_21Jan12_122021PrntrInstall.png
>
> ** Attachment added: "SysC_21Jan12_131509cups.png"
> https://bugs.launchpad.net/bugs/910272/+attachment/2686646/+files/SysC_21Jan12_131509cups.png
>
Followup - 22Jan2012

Systems A and B (both 32 bit Ubuntu 11.10) are loaded on external
drives, and are run almost entirely on the HP6600f; a 64 bit computer.
Tested SysA on 2 old (~10 years) and two newer (3 to six year) 32 bit
computers. Cups prop version worked without a hitch on the two newer 32
bit computers. Cups ppa version works on the two older 32 bit
computers; prop version doesn't work. Cups prop version works sometimes
on the 64 bit computer. Seems to me there could be an intermittently
appearing quirk in using the 64 bit computer with 32 bit version of
Ubuntu 11.10 for printing via usb-parallel cable. For info _ the Epson
Stylus Color 880 ink jet(usb-usb cable) is identified, installed and
works without a problem on the same system configuration (32 bit Ubuntu;
64 bit machine).
nvsoar

Marc Deslauriers (mdeslaur) wrote :

Unfortunately, a security update for cups was released that supersedes the update in -proposed.

The changes in -proposed need to get merged with the security update, and re-uploaded.

As the proposed fix never got verified and as it also turned out that more needed to get fixed to make USB->Parallel adapters working, I will not re-upload the proposed fix. Closing Oneiric task ...

Changed in cups (Ubuntu Oneiric):
status: Fix Committed → Won't Fix
Download full text (8.8 KiB)

Why not just replace the whole shoot and cabang with what worked in version 8?

> Date: Wed, 5 Dec 2012 20:39:07 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 910272] Re: USB->Parallel adapter produces crappy device URI and CUPS "usb" backend cannot cope with it
>
> As the proposed fix never got verified and as it also turned out that
> more needed to get fixed to make USB->Parallel adapters working, I will
> not re-upload the proposed fix. Closing Oneiric task ...
>
> ** Changed in: cups (Ubuntu Oneiric)
> Status: Fix Committed => Won't Fix
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (497244).
> https://bugs.launchpad.net/bugs/910272
>
> Title:
> USB->Parallel adapter produces crappy device URI and CUPS "usb"
> backend cannot cope with it
>
> Status in “cups” package in Ubuntu:
> Fix Released
> Status in “cups” source package in Oneiric:
> Won't Fix
>
> Bug description:
> Parallel port dot matrix printer Panasonic KX-P2124 connected via usb-
> parallel cable to HP6600 PC; running Ubuntu 11.10 system located on
> external hard drive attached by usb. Worked on Ubuntu version 8 using
> URI "parallel:/dev/usb/lp0". Understand that usblp has been
> deprecated; replace with ??? Cups reports printer not connected.
> CUPS version is (from UbuntuSoftwareCenter) - "cups 1.5.0-8ubuntu6".
>
> #Researched existing bugs - lots of info - no results. No "Help" menu
> found by selecting upper right located "Gear"/"Printers; could not
> find any "Wizard."
>
> Thank you for your assistance,
> nvsoar
> ------------------------------------
> w8@w8-FJ463AAR-ABA-a6528p:~$ uname -a
> Linux w8-FJ463AAR-ABA-a6528p 3.0.0-15-generic #24-Ubuntu SMP Mon Dec 12 15:25:25 UTC 2011 i686 i686 i386 GNU/Linux
>
> w8@w8-FJ463AAR-ABA-a6528p:~$ lsusb
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 002: ID 067b:3507 Prolific Technology, Inc. PL3507 ATAPI6 Bridge
> Bus 001 Device 004: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
> Bus 002 Device 002: ID 050d:0002 Belkin Components
> #Device immediately above is usb to parallel cable
>
> w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep lp
> lp 17455 0
> parport 40930 4 parport_pc,ppdev,uss720,lp
>
> w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep ppdev
> ppdev 12849 0
> parport 40930 4 parport_pc,ppdev,uss720,lp
>
> w8@w8-FJ463AAR-ABA-a6528p:~$ lsmod | grep parport_pc
> parport_pc 32114 0
> parport 40930 4 parport_pc,ppdev,uss720,lp
>
> w8@w8-FJ463AAR-ABA-a6528p:~$ ls -l /dev/usb/lp* /dev/bus/usb/*/*
> ls: cannot access /dev/usb/lp*: No such file or directory
> crw-rw-r-- 1 root root 189, 0 2011-12-30 15:04 /dev/bus/usb/001/001
> crw-rw-r-- 1 root root 189, 1 2011-12-30 15:04 /dev/bus/usb/001/002
> crw-rw-r-- 1 root root 189, 3 2011-12-30 15:04 /dev/bus/usb/001/004
> crw-rw-r-- 1 root root 189, 128 2011-12-30 15:04 /dev/bus/usb/002/001
> ...

Read more...

Carlos S (carlossanchezlopez) wrote :
Download full text (6.0 KiB)

Hello,

First of all, thanks a lot for your efforts to improve the community.

I just found this thread looking for a solution to a problematic ticket printer. It is the kind of printer that is detected as parallel but has a USB cable.

Manufacturer: EC Liner
Model: EC Printer EC-PM-5890X
Here's the website of the manufacturer: http://www.ecline.com.mx/
It seems that the computer is not detecting the printer directly, but the parallel connector (QinHeng Electronics).

Here's all the information you asked in the comments above. If you need any more, please let me know:

------------------------------------
root@monsterbox:/# uname -a
Linux monsterbox 3.8.0-23-generic #34-Ubuntu SMP Wed May 29 20:22:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
------------------------------------
root@monsterbox:/# lsusb
...
Bus 001 Device 005: ID 1a86:7584 QinHeng Electronics CH340S
...
------------------------------------
root@monsterbox:/# lsusb -v -d 1a86:7584
Bus 001 Device 005: ID 1a86:7584 QinHeng Electronics CH340S
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.10
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x1a86 QinHeng Electronics
  idProduct 0x7584 CH340S
  bcdDevice 2.54
  iManufacturer 0
  iProduct 2 USB2.0-Print
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 96mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 7 Printer
      bInterfaceSubClass 1 Printer
      bInterfaceProtocol 2 Bidirectional
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0020 1x 32 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0020 1x 32 bytes
        bInterval 0
Device Status: 0x0000
  (Bus Powered)
------------------------------------
root@monsterbox:/# lsmod | grep lp
usblp 18111 0
ablk_helper 13597 1 aesni_intel
cryptd 20373 3 ghash_clmulni_intel,aesni_intel,ablk_helper
lpc_ich 17061 0
lp ...

Read more...

Carlos S (carlossanchezlopez) wrote :

I checked the cups log, these are the last messages in the file:
------------------------------------
root@monsterbox:/# tail /var/log/cups/error_log
E [11/Jun/2013:00:31:44 -0500] [cups-driverd] Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"!
W [11/Jun/2013:00:31:48 -0500] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'Generic-text-only-Gray..' already exists
E [11/Jun/2013:00:31:50 -0500] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost/printers/Generic-text-only) from localhost
E [11/Jun/2013:00:32:10 -0500] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost:631/printers/Generic-text-only) from localhost
E [11/Jun/2013:00:32:44 -0500] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost:631/printers/Generic-text-only) from localhost
E [11/Jun/2013:00:33:25 -0500] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost:631/printers/Generic-text-only) from localhost
E [11/Jun/2013:00:33:44 -0500] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost:631/printers/Generic-text-only) from localhost
E [11/Jun/2013:02:04:26 -0500] [cups-driverd] Bad driver information file "/usr/share/cups/drv/cupsfilters.drv"!
W [11/Jun/2013:02:04:37 -0500] CreateProfile failed: org.freedesktop.ColorManager.AlreadyExists:profile id 'Generic-text-only-Gray..' already exists
E [11/Jun/2013:02:04:38 -0500] Returning IPP client-error-document-format-not-supported for Print-Job (ipp://localhost/printers/Generic-text-only) from localhost

[mrs_sheep] (mrs-sheep) wrote :

Having very similar issues to "carlossl".
Running Ubuntu 13.04, an EPSON LQ-1070+ (running the LQ-570+ drivers, which work fine) and a "QinHeng Electronics CH340S" USB to parallel connector.
On a 12.04 machine I could use the printer with the regular parellel cable.

The only real difference is that I have no /dev/usb/.
If necessary I can upload all the output, but as mentioned before, very similar to the ones from "carlossl".

Bill Yikes (yik3s) wrote :

Same problem for me. I have an old parallel-only printer. It has been working with a dedicated printer server, but the printer server died and the PC has no parallel port. So I connected a USB-to-LPT cable. As I attach the cable /var/log/syslog shows:

parport0: fix this legacy no-device port driver!
lp0: using parport0 (polling)

There does not exist a /dev/usb/lp0. I still set "DeviceURI parallel:/dev/usb/lp0" since that is what the instructions still say (https://wiki.ubuntu.com/DebuggingPrintingProblems#USB_-.3E_Parallel_adapter), and indeed that fails. I also tried "DeviceURI parallel:/dev/parport0" and CUPS rejected it. Then I tried "DeviceURI parallel:/dev/lp0". CUPS accepted it, I sent a test print, and it just sits on the job queue with the msg "Printer not connected; will retry in 30 seconds".

# usb_printerid /dev/lp0
Error: Invalid argument: GET_DEVICE_ID on '/dev/lp0'
# usb_printerid /dev/parport0
Error: Invalid argument: GET_DEVICE_ID on '/dev/parport0'

At another moment, I got a different error:

# usb_printerid /dev/lp0
Error: Device or resource busy: can't open '/dev/lp0'

This is on Bionic.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers